phase = 01
version = 1
name = MichaelChen

solutionname = Solution_Phase$(phase)_$(name)
target = $(solutionname)_V$(version).zip
package = $(solutionname).pdf randoop
latexmkflags =

.PHONY : all dev

all : $(target)

dev : latexmkflags = -pvc
dev : all

$(target) : $(package)
	zip -FSr $(target) $(package)

%.pdf : %.tex
	latexmk -jobname="$*" $(latexmkflags) -pdf $<
